Bug 1182827 - raspberry pi 1 has ugly kernel backtraces on boot
raspberry pi 1 has ugly kernel backtraces on boot
Status: NEW
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
armv5 openSUSE Tumbleweed
: P5 - None : Normal (vote)
: ---
Assigned To: Matthias Brugger
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-02-28 12:37 UTC by Stefan Seyfried
Modified: 2021-11-28 00:01 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
dmesg after boot with two backtraces (29.37 KB, text/plain)
2021-02-28 12:37 UTC, Stefan Seyfried
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Seyfried 2021-02-28 12:37:29 UTC
Created attachment 846600 [details]
dmesg after boot with two backtraces

On my raspberry pi 1 with current Tumbleweed as of today (kernel 5.10.16-1-default), I get two ugly backtraces during boot:

[    0.242655] simple-framebuffer 1e402000.framebuffer: framebuffer at 0x1e402000, 0x7e9000 bytes, mapped to 0x(ptrval)
[    0.242682] simple-framebuffer 1e402000.framebuffer: format=a8r8g8b8, mode=1920x1080x32, linelength=7680
[    0.243802] Console: switching to colour frame buffer device 240x67
[    0.295580] simple-framebuffer 1e402000.framebuffer: fb0: simplefb registered!
[    0.296040] sysfs: cannot create duplicate filename '/devices/platform/1e402000.framebuffer'
[    0.296068] CPU: 0 PID: 1 Comm: swapper Not tainted 5.10.16-1-default #1 openSUSE Tumbleweed
[    0.296076] Hardware name:  /, BIOS 2021.01 02/16/2021
[    0.296134] [<c010f1e0>] (unwind_backtrace) from [<c010c4a8>] (show_stack+0x18/0x1c)
[    0.296166] [<c010c4a8>] (show_stack) from [<c03bca58>] (sysfs_warn_dup+0x58/0x6c)
[    0.296188] [<c03bca58>] (sysfs_warn_dup) from [<c03bcba4>] (sysfs_create_dir_ns+0xec/0x10c)
[    0.296209] [<c03bcba4>] (sysfs_create_dir_ns) from [<c05b4070>] (kobject_add_internal+0x98/0x360)
[    0.296231] [<c05b4070>] (kobject_add_internal) from [<c05b4870>] (kobject_add+0x5c/0xcc)
[    0.296265] [<c05b4870>] (kobject_add) from [<c06e2da0>] (device_add+0x108/0x7d0)
[    0.296287] [<c06e2da0>] (device_add) from [<c083c69c>] (of_platform_device_create_pdata+0xa0/0xd8)
[    0.296313] [<c083c69c>] (of_platform_device_create_pdata) from [<c1228e44>] (simplefb_init+0x68/0x90)
[    0.296340] [<c1228e44>] (simplefb_init) from [<c0101e1c>] (do_one_initcall+0x54/0x1ec)

and...

[    6.635962] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 246)
[    6.636332] io scheduler mq-deadline registered
[    6.636350] io scheduler kyber registered
[    6.636829] io scheduler bfq registered
[    6.638906] ------------[ cut here ]------------
[    6.638964] WARNING: CPU: 0 PID: 1 at kernel/irq/chip.c:1023 irq_set_chained_handler_and_data+0x54/0x8c
[    6.638974] Modules linked in:
[    6.639003] CPU: 0 PID: 1 Comm: swapper Not tainted 5.10.16-1-default #1 openSUSE Tumbleweed
[    6.639010] Hardware name:  /, BIOS 2021.01 02/16/2021
[    6.639053] [<c010f1e0>] (unwind_backtrace) from [<c010c4a8>] (show_stack+0x18/0x1c)
[    6.639073] [<c010c4a8>] (show_stack) from [<c011fc4c>] (__warn+0xe0/0x14c)
[    6.639097] [<c011fc4c>] (__warn) from [<c0a2f44c>] (warn_slowpath_fmt+0x7c/0xbc)
[    6.639121] [<c0a2f44c>] (warn_slowpath_fmt) from [<c017bfb0>] (irq_set_chained_handler_and_data+0x54/0x8c)
[    6.639145] [<c017bfb0>] (irq_set_chained_handler_and_data) from [<c05e0560>] (gpiochip_add_data_with_key+0x6b0/0xd14)
[    6.639176] [<c05e0560>] (gpiochip_add_data_with_key) from [<c05d64e8>] (bcm2835_pinctrl_probe+0x36c/0x4c8)
[    6.639210] [<c05d64e8>] (bcm2835_pinctrl_probe) from [<c06eab3c>] (platform_drv_probe+0x50/0xa0)
[    6.639230] [<c06eab3c>] (platform_drv_probe) from [<c06e82a8>] (really_probe+0x108/0x534)
[    6.639247] [<c06e82a8>] (really_probe) from [<c06e8aa8>] (driver_probe_device+0x74/0x1dc)
[    6.639262] [<c06e8aa8>] (driver_probe_device) from [<c06e8f38>] (device_driver_attach+0xb0/0xb8)
[    6.639279] [<c06e8f38>] (device_driver_attach) from [<c06e8fec>] (__driver_attach+0xac/0x150)
[    6.639311] [<c06e8fec>] (__driver_attach) from [<c06e5e30>] (bus_for_each_dev+0x7c/0xc8)
[    6.639333] [<c06e5e30>] (bus_for_each_dev) from [<c06e73d0>] (bus_add_driver+0x108/0x210)
[    6.639349] [<c06e73d0>] (bus_add_driver) from [<c06e99ec>] (driver_register+0x90/0x120)
[    6.639370] [<c06e99ec>] (driver_register) from [<c0101e1c>] (do_one_initcall+0x54/0x1ec)
[    6.639403] [<c0101e1c>] (do_one_initcall) from [<c12015bc>] (kernel_init_freeable+0x16c/0x204)
[    6.639437] [<c12015bc>] (kernel_init_freeable) from [<c0a36a60>] (kernel_init+0x10/0x124)
[    6.639458] [<c0a36a60>] (kernel_init) from [<c0100114>] (ret_from_fork+0x14/0x20)
[    6.639470] Exception stack(0xc1d15fb0 to 0xc1d15ff8)
[    6.639482] 5fa0:                                     00000000 00000000 00000000 00000000
[    6.639497] 5fc0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[    6.639510] 5fe0: 00000000 00000000 00000000 00000000 00000013 00000000
[    6.639531] ---[ end trace 26e37ab1a191b31f ]---
[    6.641470] efifb: probing for efifb

(will attach full dmesg).

So far, everything seems to be working fine, but it still is ugly ;-)
Comment 1 openQA Review 2021-09-30 00:00:22 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: jeos@RPi2B
https://openqa.opensuse.org/tests/1942246

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 2 Matthias Brugger 2021-09-30 02:10:42 UTC
This got fixed upstream by:
acc6987e591 ("rpi: Conditionally add simple-framebuffer node")

Should be fixed in openSUSE once new U-Boot package is released.
Comment 3 openQA Review 2021-10-15 00:00:15 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: jeos@RPi2B
https://openqa.opensuse.org/tests/1967928

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 4 openQA Review 2021-10-30 00:00:45 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: jeos@RPi2B
https://openqa.opensuse.org/tests/1995324

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 5 openQA Review 2021-11-13 00:44:58 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: jeos@RPi2B
https://openqa.opensuse.org/tests/2030838

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 6 openQA Review 2021-11-28 00:01:59 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: jeos@RPi2B
https://openqa.opensuse.org/tests/2059855

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`